:root {
    --main-yellow: #F5C000;
    --main-light-blue: #00AEEF;
    --main-dark-blue: #263652;
    --main-light-orange: #EA6000;
    --main-light-green: #92e68b;
    --main-medium-green: #7ec777;
    --main-black: #1C1B1B;
    --light-gray: #d8d8d8;
    --dark-gray: #4f4c4d;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', Helvetica, Arial, Lucida, sans-serif;
    -webkit-font-smoothing: antialiased;
    background: white;
}

body.no-scroll {
    overflow: hidden;
}

.section {
    min-height: 100vh;
    padding: 1rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
}

a {
    text-decoration: none;
    color: #ffffff;
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

#navbar {
    width: 100%;
    height: 4.5rem;
    display: flex;
    flex-direction: row;
    padding: 0.5rem 0 0;
    margin: 0;
    color: white;
    background: none;
    box-shadow: inset 0 40px 40px -40px rgba(0,0,0,1);
    position: absolute;
    top: 0;
    left: 0;
    align-items: center;
    justify-content: space-between;
    transition: top 0.5s;
    z-index: 4;
    transition: all 0.4s ease-in-out;
}

#navbar.active {
    background: var(--main-dark-blue) !important;
}

nav #nav-links {
    color: #ffffff;
    display: flex;
    gap: 1rem;
    margin: 0;
    padding: 0;
    z-index: 4;
}

#nav-links .link:hover, .dropdown-link:hover {
    color: var(--main-yellow);
}

nav a {
    text-decoration: none;
    color: #ffffff;
    transition: color 0.25s;
    padding: 0;
    margin: 0;
}

.dropdown .caron {
    transition: color 0.25s;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.dropdown .link i {
    font-size: 0.75rem;
}

nav .dropdown {
    position: relative;
}

nav .dropdown-menu {
    position: absolute;
    left: 0;
    top: calc(100% + 1rem);
    background: rgba(38, 54, 82, 1);
    border-radius: 5px;
    padding: 0.75rem;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    transform: translateY(-10px);
    transition: opacity 150ms ease-in-out, transform 150ms ease-in-out;
    width: 10.2rem;
}

.dropdown.active > .link + .dropdown-menu {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

#nav-logo-wrapper {
    padding: 0;
    margin-left: 2rem;
    height: 100%;
    width: 12rem;
    display: flex;
    justify-content: flex-start;
}

#nav-logo-wrapper img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.hamburger {
    z-index: 4;
    cursor: pointer;
    margin-right: 2.5rem;
    display: block;
}

.hamburger.active .bar:nth-child(2) {
    opacity: 0;
}

.hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.bar {
    display: block;
    width: 1.6rem;
    height: 3px;
    margin: 5px 0;
    transition: all 0.3s ease;
    background-color: white;
}

.nav-right {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
    z-index: 3;
}

#nav-screen {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    position: fixed;
    height: 100vh;
    width: 100%;
    left: 0;
    top: -5rem;
    background: var(--main-dark-blue);
    user-select: none;
    z-index: 3;
    transition: all 0.3s ease-in-out;
    color: white;
}

#nav-screen.active {
    opacity: 1;
    top: 0;
    user-select: auto;
    visibility: visible;
    pointer-events: all;
}

#nav-screen .wrapper{
    height: 100%; padding: 0rem 3rem 0rem 3rem; 
    display: flex; 
    flex-direction: row; 
    gap: 3rem ; 
    align-items: center; 
    justify-content: space-between;
    overflow: scroll;
}

.nav-event {
    height: 100%; 
    width: 50%; 
    padding: 6rem 0 2rem 0;
}

.nav-event-img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

#nav-img-square {
    display: none;
}

.nav-socials {
    font-size: 1.1rem;
}

.nav-socials a:hover {
    color: var(--main-light-blue);
}

.nav-sec {
    display: flex; 
    flex-direction: column; 
    gap: 1rem;
    width: 50%; 
    padding: 6rem 0 2rem 0;
}

.navbar-options {
    height: 30%;
    width: 100%;
    border-radius: 10px; 
    padding: 1rem;
    background: var(--main-black);
    display: none;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
}

.navbar-options a {
    color: inherit;
    display: flex;
    text-align: center;
    justify-content: center;
    padding-top: 1rem;
}

.navbar-options a:hover {
    text-decoration: underline;
    color: var(--main-yellow);
}

.nav-connect {
    height: 50%; 
    width: 100%; 
    border-radius: 10px; 
    padding: 1rem;
    background: rgb(246,204,69);
    background: linear-gradient(132deg, rgba(246,204,69,1) 20%, rgba(52,191,237,1) 69%, rgba(41,190,246,1) 91%, rgba(115,213,200,1) 100%);
}

.nav-connect div {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
    height: 100%;
}

.nav-connect a {
    display: flex;
    text-align: center;
    justify-content: center;
}

/*
.nav-connect a:last-child {
    grid-column: span 3 / span 3;
}
*/

.nav-connect a:hover {
    text-decoration: underline;
}

.nav-prayer {
    height: 50%; 
    border-radius: 10px; 
    padding: 1rem;
    background: rgb(123,213,115);
    background: linear-gradient(319deg, rgba(123,213,115,1) 0%, rgba(41,190,246,1) 59%, rgba(238,178,42,1) 100%);
}

/*** top of page btn ***/
#topPageBtn {
    position: fixed;
    height: 3rem;
    width: 3rem;
    bottom: -50px;
    right: 30px;
    z-index: 2;
    border: none;
    outline: none;
    background-color: var(--main-light-blue);
    color: white;
    cursor: pointer;
    border-radius: 10px;
    font-size: 18px;
    transition: all 0.25s;
}

#topPageBtn:hover {
    background: var(--main-yellow);
    transform: scale(1.15);
}

/*** welcome section ***/
#hero {
    color: white;
    height: 130vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4rem;
    overflow: hidden;
    position: relative;
}

.video-wrapper {
    position: absolute;
    width: 100%;
    height: 130vh;
    z-index: 0;
    object-fit: cover;
}

.video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#bienvenidos, #livestream-link {
    z-index: 1;
}

#bienvenidos {
    text-align: center;
    display: flex;
    flex-direction: column;
    text-shadow: rgba(0, 0, 0, 0.623) 0 0 1rem;
}

#bienvenidos h1 {
    font-family: "Poppins";
    font-size: 4.5rem;
    font-weight: 600;
    margin: 0 1rem 0 1rem;
    transform: translateY(5rem);
    opacity: 0;
    transition: 1s ease-in-out all;
}

#bienvenidos h2 {
    margin: 2rem 1rem;
    transform: translateY(5rem);
    opacity: 0;
    transition: 1s ease-in-out all;
}

#bienvenidos h2 span {
    background: var(--main-light-orange);
    border-radius: 5px;
    text-shadow: none;
}

#livestream-link {
    padding-bottom: 2em;
}

#livestream-link h3, 
#livestream-link h4{
    font-weight: 200;
    margin: 0;
    padding: 0;
}

#livestream-link a{
    display: flex;
    flex-direction: row;
    align-items: center;
    border: 1px solid white;
    background-color: rgba(0, 0, 0, 0.25);
    border-radius: 50px;
    gap: 1rem;
    padding: 1rem;
    height: 6rem;
}

.play-button {
    border: 1px solid white;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;
    font-size: 1.5rem;
    text-align: center;
    padding: 0;
    transition: 0.3s;
}

.play-button i {
    margin-left: 4px;
    color: #EA6000;
    transition: 0.3s;
}

.livestream-text {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    gap: 0;
}

a:hover > .play-button {
    background-color: #EA6000;
    border: 4px solid #c75300;
    padding: 0.5rem;
    width: 4.5rem;
    height: 4.5rem;
}

a:hover > .play-button i {
    color: white;
}

/* current series section*/
#series {
    padding: 0;
    height: auto;
    overflow: hidden;
    height: 100%;
}

#series .header {
    position: absolute;
    background: white;
    border-radius: 5px;
    margin: 2rem 1rem 0 1rem;
    padding: 0;
    left: 50%;
    transform: translate(-50%, -50%);
}

#square-series-photo, #tall-series-photo {
    display: none;
}

.series-photo {
    width: 100%;
    height: 110vh;
    display: block;
    object-fit: cover;
    overflow: visible;
}

/* about section */
#about {
    background: white;
    padding: 6rem 1rem 0;
    margin: 0;
}

#about .wrapper {
    background: white;
    color: var(--main-dark-blue);
    padding: 2rem 1rem;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    height: auto;
    overflow: hidden;
    position: relative;
    z-index: 0;
}

#about img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.25;
    z-index: -1;
}

#visionMission {
    display: flex;
    flex-direction: row;
    gap: 3rem;
    justify-content: space-between;
    align-items: flex-start;
    padding: 5rem 0;
    height: 100%;
}

#about h3 {
    font-weight: 200;
    color: var(--main-black);
    font-size: 1.4rem;
    background: rgba(255, 255, 255, 0.6);
    border-radius: 20px;
    padding: 2rem 0;
}

#vision-state, #mission-state {
    font-family: "Poppins";
    font-size: 2.3rem;
}

#vision, #mission {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 100%;
    text-align: center;
    text-wrap: balance;
}

#vision h2, #vision h3, #mission h2, #mission h3 {
    margin: 0;
}

#vision-state span, #mission-state span {
    color: var(--main-light-orange);
    font-size: 2.9rem;
    text-decoration: underline;
    text-shadow: 0px 0px 10px rgba(255, 255, 255, 1);
    font-family: "Playfair Display";
}

.line-break {
    border: 1px solid var(--main-dark-blue);
    border-radius: 5px;
    height: 50rem;
}

.about-descript {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#visionMission .fa-solid {
    font-size: 6rem;
}

/* connect marquee banner (courtesy of Ryan Mulligan: https://codepen.io/hexagoncircle/pen/eYMrGwW) */
.marquee {
    background: white;
    color: var(--main-light-blue);
    padding: 0;
}

.marquee .wrapper {
    --gap: 4rem;
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
    padding: 3rem 0;
    opacity: 1;
    /* background: repeating-linear-gradient( -45deg, var(--main-dark-blue), var(--main-dark-blue) 3px, white 1px, white 25px); */
}
  
.marquee__content {
    padding: 0;
    margin: 0;
    flex-shrink: 0;
    display: flex;
    justify-content: space-around;
    min-width: 100%;
    gap: var(--gap);
    animation: scroll 18s linear infinite;
    text-align: center;
    list-style: none;
    font-size: 3rem;
    font-weight: 700;
}
  
@keyframes scroll {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(calc(-100% - var(--gap)));
    }
}

/* MINISTRIES/CONNECT SECTION */
#ministries {
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 1rem 0 5rem 0;
    transform: translateZ(0);
    background: var(--main-dark-blue);
}

.icon-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

#ministries-title {
    margin-top: 5rem;
    padding: 0 8rem 0 8rem;
    justify-content: flex-end;
    gap: 5rem;
}

#ministries .header {
    font-family: "Playfair Display";
    font-weight: 500;
    color: white;
    margin: 0;
    padding: 0;
    text-align: center;
}

.icon-img {
    height: 7rem;
    width: 7rem;
    object-fit: contain;
}

.track-container {
    height: 100vh;
    width: 100vw;
    background: var(--main-dark-blue);
    margin: 0;
    overflow: scroll;
    position: relative;
    scroll-behavior: smooth;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-behavior: smooth;
}

.track-container::-webkit-scrollbar {
    display: none;
}

#image-track {
    display: flex;
    gap: 4vmin;
    position: absolute;
    left: 0%;
    top: 45%;
    transform: translate( 0, -50%);
    user-select: none;
    padding-right: 3rem;
    padding-left: 3rem;
}

.image-container {
    box-shadow: 0 0px 20px rgba(0, 0, 0, 0.4);
    height: 75vmin;
}

#image-track img {
    width: 55vmin;
    height: 100%;
    object-fit: cover;
    object-position: 94% center;
    transition: all 0.2s ease;
}

#image-track img:hover {
    transform: scale(1.03);
}

.track-link {
    position: relative;
}

.track-link h2 {
    position: absolute;
    left: 0;
    margin: auto;
    padding: 1rem;
    color: white;
    text-shadow: rgba(0, 0, 0, 0.623) 0 0 1rem;
    border-radius: 5px;
    z-index: 1;
}

.track-controls {
    position: absolute;
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    bottom: 12%;
    left: 4%;
    
}

.track-controls div {
    border: 2px solid white;
    color: white;
    height: 3rem;
    width: 3rem;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.4rem;
    cursor: pointer;
}

.track-controls div:hover {
    color: lightgrey;
    border-color: lightgrey;
    background-color: rgba(255, 255, 255, 0.05);
}

/* events section */
#events {
    overflow: hidden;
    min-height: 100vh;
    display: block;
    padding: 5rem 4rem 7rem;
    background: white;
    position: relative;
}

.box {
    background-color: white;
    width: 100%;
    height: 19rem;
    position: absolute;
    top: 1rem;
    z-index: -1;

}

#bottom-box {
    clip-path: polygon(100% 100%, 0% 100%, 0% 70%, 100% 0%);
    left: 0;
    top: -14rem;
}

#events-sect-title {
    margin: 0;
    padding: 0 3rem 0 3rem;
    justify-content: flex-start;
    gap: 5rem;
}

#events-sect-title a:hover h1 {
    text-decoration: underline;
}

#events-sect-title .icon-img {
    height: 5rem;
    width: 5rem;
}

.icon-img img {
    object-fit: contain;
}

#events .header {
    font-family: "Playfair Display";
    color: var(--main-dark-blue);
}

#events .grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    gap: 2rem 2rem;
    grid-auto-flow: row dense;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    position: relative;
    z-index: 1;
}

.event-block {
    height: 100%;
    width: 100%;
    overflow: hidden;
    transition: all 0.2s ease;
}

.event-block:hover {
    transform: scale(1.03);
    box-shadow: rgba(59, 46, 240, 0.4) -5px 5px, rgba(46, 65, 240, 0.3) -10px 10px, rgba(46, 98, 240, 0.2) -15px 15px, rgba(46, 162, 240, 0.1) -20px 20px, rgba(46, 217, 240, 0.05) -25px 25px; 
    /* box-shadow: rgba(59, 46, 240, 0.4) 0px 0px 0px 3px, rgba(46, 65, 240, 0.3) 0px 0px 0px 6px, rgba(46, 98, 240, 0.2) 0px 0px 0px 9px, rgba(46, 162, 240, 0.1) 0px 0px 0px 12px, rgba(46, 217, 240, 0.05) 0px 0px 0px 15px; */
}

.large-event {
    grid-column: auto / span 2;
    grid-row: auto / span 2;
}

.event-block-link div {
    height: 100%;
    width: 100%;
    position: relative;
}

.event-title {
    text-align: center;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
}

.black-text {
    color: var(--main-black);
}

.white-text {
    color: white;
}

.event-photo {
    object-fit: cover;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}

/* prayer request section */
#prayer {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='80' height='80' viewBox='0 0 80 80'%3E%3Cg fill-rule='evenodd'%3E%3Cg id='church-on-sunday' fill='%23a7ad00' fill-opacity='0.20'%3E%3Cpath d='M77.17 0H80v2.83l-.1.1A39.9 39.9 0 0 1 74.64 20a39.9 39.9 0 0 1 5.24 17.06l.11.11v2.89c-.01 6.9-1.8 13.79-5.35 19.94A39.96 39.96 0 0 1 80 79.94V80h-2.83L66.84 69.66a39.83 39.83 0 0 1-24.1 10.25l.09.09h-5.66l.1-.1c-8.7-.58-17.22-4-24.1-10.23L2.82 80H0V79.94c.01-6.9 1.8-13.8 5.35-19.94A39.96 39.96 0 0 1 0 40.06V37.17l.1-.1A39.9 39.9 0 0 1 5.36 20 39.9 39.9 0 0 1 .1 2.94L0 2.83V0h2.83l-.1.1a39.83 39.83 0 0 1 24.1 10.24L37.18 0H40c0 6.92-1.78 13.83-5.35 20A39.96 39.96 0 0 1 40 40c0-6.92 1.78-13.83 5.35-20A39.96 39.96 0 0 1 40 0h2.83l10.33 10.34A39.83 39.83 0 0 1 77.26.09L77.17 0zm.77 77.94c-.3-5.52-1.8-11-4.49-16a40.18 40.18 0 0 1-5.17 6.34l9.66 9.66zm-12.52-9.7l-6.83-6.83-5.46 5.46-1.41 1.41-9.66 9.66c8.4-.45 16.69-3.68 23.36-9.7zm-23.07 6.58l7.99-7.98a40.05 40.05 0 0 1-3.79-4.9 37.88 37.88 0 0 0-4.2 12.88zM47.68 60a37.98 37.98 0 0 0 4.07 5.42L57.17 60l-5.42-5.42A38 38 0 0 0 47.68 60zm2.66-6.84a40.06 40.06 0 0 0-3.79 4.9 37.88 37.88 0 0 1-4.2-12.88l7.99 7.98zm1.38-1.44l1.41 1.41 5.46 5.46 6.83-6.84a37.85 37.85 0 0 0-23.36-9.7l9.66 9.67zM60 60l6.87 6.87A38.1 38.1 0 0 0 72.32 60a38.11 38.11 0 0 0-5.45-6.87L60 60zm-14.65 0a39.9 39.9 0 0 0-5.24 17.06l-.11.11-.1-.1A39.9 39.9 0 0 0 34.64 60a39.9 39.9 0 0 0 5.24-17.06l.11-.11.1.1A39.9 39.9 0 0 0 45.36 60zm9.23-48.25a37.85 37.85 0 0 1 23.36-9.7l-9.66 9.67-1.41 1.41-5.46 5.46-6.83-6.84zm13.67 13.67L62.83 20l5.42-5.42A38 38 0 0 1 72.32 20a37.98 37.98 0 0 1-4.07 5.42zm5.2-3.47a40.05 40.05 0 0 1-3.79 4.89l7.99 7.98c-.61-4.45-2.01-8.82-4.2-12.87zm-6.58 4.92l1.41 1.41 9.66 9.66a37.85 37.85 0 0 1-23.36-9.7l6.83-6.83 5.46 5.46zM53.13 13.13L60 20l-6.87 6.87A38.11 38.11 0 0 1 47.68 20a38.1 38.1 0 0 1 5.45-6.87zm-1.41-1.41l-9.66-9.66c.3 5.52 1.8 11 4.49 16a40.18 40.18 0 0 1 5.17-6.34zm-9.66 26.22c.3-5.52 1.8-11 4.49-16a40.18 40.18 0 0 0 5.17 6.34l-9.66 9.66zm26.22 13.78l9.66-9.66c-.3 5.52-1.8 11-4.49 16a40.18 40.18 0 0 0-5.17-6.34zm8.98-11.81L66.84 50.34a39.83 39.83 0 0 0-24.1-10.25l10.42-10.43a39.83 39.83 0 0 0 24.1 10.25zm-7.6-26.75a40.06 40.06 0 0 1 3.79 4.9 37.88 37.88 0 0 0 4.2-12.88l-7.99 7.98zm-31.72 28.9c-8.4.45-16.69 3.68-23.36 9.7l6.83 6.83 5.46-5.46 1.41-1.41 9.66-9.66zM22.83 60l5.42 5.42c1.54-1.7 2.9-3.52 4.07-5.42a38 38 0 0 0-4.07-5.42L22.83 60zm5.45 8.28l-1.41-1.41-5.46-5.46-6.83 6.84a37.85 37.85 0 0 0 23.36 9.7l-9.66-9.67zm9.37 6.54l-7.99-7.98a40.05 40.05 0 0 0 3.79-4.9 37.88 37.88 0 0 1 4.2 12.88zM20 60l-6.87-6.87A38.11 38.11 0 0 0 7.68 60a38.11 38.11 0 0 0 5.45 6.87L20 60zm17.26-19.9L26.84 29.65a39.83 39.83 0 0 1-24.1 10.25l10.42 10.43a39.83 39.83 0 0 1 24.1-10.25zm-35.2 1.96l9.66 9.66a40.18 40.18 0 0 0-5.17 6.33c-2.7-5-4.2-10.47-4.5-16zm4.49 19.89c-2.7 5-4.2 10.47-4.5 16l9.67-9.67a40.18 40.18 0 0 1-5.17-6.33zm31.1-16.77c-.61 4.45-2.01 8.82-4.2 12.87a40.06 40.06 0 0 0-3.79-4.89l7.99-7.98zm-4.2-23.23c2.7 5 4.2 10.47 4.5 16l-9.67-9.67c1.97-1.97 3.7-4.1 5.17-6.33zm-14.86-.54l6.83 6.84a37.85 37.85 0 0 1-23.36 9.7l9.66-9.67 1.41-1.41 5.46-5.46zm-8.25 5.43l-7.99 7.98c.61-4.45 2.01-8.82 4.2-12.87a40.04 40.04 0 0 0 3.79 4.89zm1.41-1.42A37.99 37.99 0 0 1 7.68 20a38 38 0 0 1 4.07-5.42L17.17 20l-5.42 5.42zm-5.2-7.37a40.04 40.04 0 0 1 3.79-4.89L2.35 5.18c.61 4.45 2.01 8.82 4.2 12.87zm6.58-4.92l-1.41-1.41-9.66-9.66a37.85 37.85 0 0 1 23.36 9.7l-6.83 6.83-5.46-5.46zm13.74 13.74L20 20l6.87-6.87A38.1 38.1 0 0 1 32.32 20a38.1 38.1 0 0 1-5.45 6.87zm6.58-8.82a40.18 40.18 0 0 0-5.17-6.33l9.66-9.66c-.3 5.52-1.8 11-4.49 16z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    background-attachment: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    padding: 0 2rem;
}

#prayer .prayer-req {
    background: white;
    color: var(--main-dark-blue);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 1;
    padding: 2rem 1rem;
    width: 95%;
    padding-right: 8rem;
    padding-left: 8rem;
    box-shadow: 0 0px 15px rgba(0, 0, 0, 0.3), var(--main-light-blue) -2.5rem -2.5rem, var(--main-yellow) 2.5rem 2.5rem;
}

.prayer-req h3, .prayer-req h1{
    margin: 0;
}

.prayer-req h1 span {
    color: var(--main-medium-green);
}

.prayer-req h3 {
    font-family: "Playfair Display";
    letter-spacing: 5px;
}

.prayer-req-button {
    font-family: "Poppins";
    font-size: 0.9rem;
    background: var(--main-dark-blue);
    color: white;
    letter-spacing: 2px;
    border: none;
    border-radius: 5px;
    padding: 0.7rem;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.prayer-req-button:hover {
    background: var(--main-light-orange);
    color: var(--main-black);
    transform: scale(1.05);
    box-shadow: 0 0 12px rgba(234, 98, 0, 0.5);
}

/* footer */
footer {
    background: var(--main-dark-blue);
    color: white;
    margin: 0;
    padding: 1rem 1rem 0;
}

footer i {
    color: var(--main-light-blue);
}

#map {
    width: 100%;
}

#map iframe {
    width: 100%;
}

footer .container {
    display: flex;
    margin-top: 2rem;
    margin-bottom: 4rem;
    text-align: center;
}

.footer-section {
    width: 25%;
    height: 19rem;
    padding: 1rem;
}

#contact {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

#contact p {
    margin: 0;
}

.footer-icon {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    height: 80%;
    align-items: center;
    justify-content: space-evenly;
}

.footer-links a:hover {
    color: var(--main-yellow);
    text-decoration: underline;
}

.address-contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}

.footer-address {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
} 

.footer-contact {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

#footer-about {
    border-left: 1px solid var(--main-yellow);
}

.footer-about-links :hover {
    color: var(--main-yellow);
    text-decoration: underline;
}

#footer-social {
    border-left: 1px solid var(--main-yellow);
}

.footer-social p {
margin: 0;
}

#footer-give {
    border-left: 1px solid var(--main-yellow);
}

.footer-bottom {
    width: 100%;
    height: 8rem;
    border-top: 1px solid var(--dark-gray);
    color: var(--light-gray);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: 200;
}

.footer-bottom a {
    color: inherit;
}

.footer-bottom a:hover {
    text-decoration: underline;
}

/* @keyframes marquee-loop-rtl {
    0% {
        margin-left: 0;
    }
    100% {
        margin-left: -50%;
    }
} */

@media screen and (max-width: 1260px) {
    #prayer {
        padding: 0 4rem;
    }
}

@media screen and (max-width: 1080px) {
    #bienvenidos h1 {
        font-size: 3.4rem;
    }

    #vision-state, #mission-state {
        font-size: 2.1rem;
    }

    #vision-state span, #mission-state span {
        font-size: 2.3rem;
    }

    #series {
        height: 110vh;
    }

    #ministries-title {
        padding: 0 1rem 0 4rem;
    }
}

@media screen and (max-width: 915px) {
    html {
        font-size: 90%;
    }
    
    .nav-right {
        gap: 1rem;
    }

    .wrapper .carousel {
        grid-auto-columns: calc((100% / 2) - 9x);
    }

    #wide-series-photo {
        display: none;
    }

    #square-series-photo {
        display: block;
    }

    #events .grid-container {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media screen and (max-width: 800px) {
    html {
        font-size: 80%;
    }

    #nav-img-wide {
        display: none;
    }

    #nav-img-square {
        display: block;
    }

    /* #series-photo {
        height: 85%;
    } */

    #events .grid-container {
        grid-template-columns: 1fr 1fr;
    }
    
    .large-event {
        grid-column: auto / span 1;
        grid-row: auto / span 1;
    }

    .small-event h3 {
        font-size: 2rem;
    }

    #ministries {
        padding: 1rem 0 3rem;
    }

    #ministries-title {
        margin-top: 3rem;
    }

    .track-controls {
        bottom: 10%;
    }
}

@media screen and (max-width: 720px) {
    nav #nav-links {
        display: none;
    }

    .navbar-options {
        display: grid;
    }

    .nav-connect {
        height: 40%;
    }

    .nav-prayer {
        height: 30%;
    }

    #nav-screen .wrapper {
        flex-direction: column;
    }

    .nav-event {
        display: none;
    }

    .nav-sec {
        width: 75%;
    }

    #visionMission {
        flex-direction: column;
        align-items: center;
    }

    #vision, #mission {
        width: 85%;
    }

    .line-break {
        height: 0;
        width: 90%;
    }

    #events-sect-title {
        justify-content: space-between;
        gap: 0rem;
    }

    #events-sect-title .icon-img {
        width: 7rem;
    }

    .event-title, .small-event h3 {
        font-size: 1.5rem;
    }

    #ministries .header {
        width: 25rem;
    }

    #image-track {
        top: 42%;
        gap: 9vmin;
    }

    .track-controls {
        bottom: 14%;
    }
}

@media screen and (max-width: 660px) {
    #ministries {
        padding: 1rem 0 0;
    }

    #image-track {
        top: 44%;
    }

    .image-container {
        height: 34rem;
    }

    #image-track img {
        width: 55vw;
    }

    .track-controls {
        bottom: 7%;
    }

    .prayer-req h1 {
        font-size: 2.5rem;
    }

    #prayer .prayer-req {
        padding-left: 7rem;
        padding-right: 7rem;
    }

    footer .container {
        margin-bottom: 6rem;
    }
}

@media screen and (max-width: 600px) {
    #square-series-photo {
        display: none;
    }

    #tall-series-photo {
        display: block;
    }

    .wrapper .carousel {
        grid-auto-columns: 100%;
    }
}

@media screen and (max-width: 590px) {
    /*
    .track-container {
        height: 90vh;
    }
    */

    #image-container {
        height: 40vh;
    }

    .track-controls {
        bottom: 6%;
    }

    #prayer .prayer-req {
        padding-left: 5rem;
        padding-right: 5rem;
    }

    footer .container {
        flex-direction: column;
        margin-bottom: 2rem;
    }

    .footer-section {
        width: 100%;
        height: 15rem;
    }
    
    #contact {
        border-bottom: 1px solid var(--main-yellow);
    }

    .address-contact {
        flex-direction: row;
    }

    .footer-address {
        width: 50%;
    }

    #footer-about {
        border-left: none;
        border-bottom: 1px solid var(--main-yellow);
    }

    #footer-social {
        border-left: none;
        border-bottom: 1px solid var(--main-yellow);
    }

    .footer-links {
        flex-direction: row;
    }

    #footer-give {
        border-left: none;
    }
}

@media screen and (max-width: 530px) {
    .nav-sec {
        width: 95%;
    }

    #series-photo {
        height: 100%;
    }

    .icon-title .header {
        font-size: 2.5rem;
    }

    #events-sect-title {
        padding: 0;
    }

    #events .header {
        width: 70%;
    }

    #events .grid-container {
        grid-template-columns: 1fr;
    }

    .event-title, .small-event h3 {
        font-size: 2rem;
    }

    #ministries-title {
        justify-content: space-between;
        gap: 1rem;
        padding-left: 2rem;
    }

    #ministries .header {
        width: 17rem;
    }

    .track-container {
        height: 85vh;
    }

    .image-container {
        height: 28rem;
    }

    #image-track img {
        width: 60vw;
    }

    #prayer .prayer-req {
        padding: 5rem 4rem;
        gap: 1rem;
    }
}

@media screen and (max-width: 450px) {
    #navbar {
        height: 5rem;
    }

    #nav-logo-wrapper {
        width: 14rem;
    }

    .hamburger {
        transform: scale(1.25);
    }

    #nav-screen .wrapper {
        padding: 0 2rem 0 2rem;
    }

    .nav-sec {
        width: 100%;
        padding: 6rem 0 1rem 0;
    }

    .navbar-options {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(4, 1fr);
    }

    .navbar-options a:last-child {
        grid-column: span 2;
    }

    .nav-connect h3 {
        margin: 0;
    }

    .nav-connect div {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 4px;
    }

    /*
    .nav-connect a:last-child {
        grid-column: span 2 / span 2;
    }
    */

    #topPageBtn {
        height: 3.5rem;
        width: 3.5rem;
        font-size: 1.5rem;
    }

    #hero {
        height: 115vh;
        gap: 1rem;
        padding-top: 2rem;
    }

    .image-container {
        height: 29rem;
    }
    
    #image-track img {
        width: 70vw;
    }

    .track-controls {
        bottom: 5%;
    }

    #prayer {
        padding: 3rem 3rem;
    }    
}

@media screen and (max-width: 400px) {
    #prayer .prayer-req {
        padding: 3rem 1rem;
        gap: 1rem;
    }
}

@media screen and (max-width: 350px) {
    #image-track {
        gap: 1.5rem;
    }

    #image-track img {
        width: 80vw;
    }
}